/* 
 * This java source file is placed into the public domain.
 * 
 * The orginal author is Ceki Gulcu, QOS.ch
 * 
 * THIS SOFTWARE IS PROVIDED AS-IS WITHOUT WARRANTY OF ANY KIND, NOT EVEN
 * THE IMPLIED WARRANTY OF MERCHANTABILITY. THE AUTHOR OF THIS SOFTWARE,
 * ASSUMES _NO_ RESPONSIBILITY FOR ANY CONSEQUENCE RESULTING FROM THE
 * USE, MODIFICATION, OR REDISTRIBUTION OF THIS SOFTWARE.
 */

package box;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

public class BoxImplDyna implements Box  {

  static public void main(String[] args) {
    Box box = new BoxImplWithJCL();
    System.out.println("Box veersion is "+box.get());
    box.doOp();
  }

  public int get() {
    return @V@;
  }

  public void doOp() {
  	try {
  	  Class biClass = Class.forName("box.BoxImpl");
  	  Box b = (Box) biClass.newInstance();
  	  b.doOp();
  	} catch(Exception e) {
  	  e.printStackTrace();
  	}
  	
   	try {
  	  Class biClass = Thread.currentThread().getContextClassLoader().loadClass("box.BoxImpl");
  	  Box b = (Box) biClass.newInstance();
  	  b.doOp();
  	} catch(Exception e) {
  	  e.printStackTrace();
  	}
  }
  
  public String toString() {
   return "BoxImplDyna("+get()+")"; 
  }
}
