/* 
 * This java source file is placed into the public domain.
 * 
 * The orginal author is Ceki Gulcu, QOS.ch
 * 
 * THIS SOFTWARE IS PROVIDED AS-IS WITHOUT WARRANTY OF ANY KIND, NOT EVEN
 * THE IMPLIED WARRANTY OF MERCHANTABILITY. THE AUTHOR OF THIS SOFTWARE,
 * ASSUMES _NO_ RESPONSIBILITY FOR ANY CONSEQUENCE RESULTING FROM THE
 * USE, MODIFICATION, OR REDISTRIBUTION OF THIS SOFTWARE.
 */
package ch.qos.test;

import java.net.URL;

import ch.qos.ChildFirstClassLoader;

import box.Box;

public class ChildFirstTestSLF4J0 {

	public static void main(String[] args) throws Exception {
		ChildFirstClassLoader child = new ChildFirstClassLoader(new URL[] {
			  new URL("file:box1.jar"), 
				new URL("file:lib/nlog4j.jar") });
    
    Class boxClass = child.loadClass("box.BoxImplWithSLF4J");
		Box box = (Box) boxClass.newInstance();
    box.doOp();
	}
}
