/*
 * This java source file is placed into the public domain.
 *
 * The orginal author is Ceki Gulcu, QOS.ch
 *
 * THIS SOFTWARE IS PROVIDED AS-IS WITHOUT WARRANTY OF ANY KIND, NOT EVEN
 * THE IMPLIED WARRANTY OF MERCHANTABILITY. THE AUTHOR OF THIS SOFTWARE,
 * ASSUMES _NO_ RESPONSIBILITY FOR ANY CONSEQUENCE RESULTING FROM THE
 * USE, MODIFICATION, OR REDISTRIBUTION OF THIS SOFTWARE.
 */
package wombat;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

public class HelloServlet extends HttpServlet {

  private Log logger = LogFactory.getLog(HelloServlet.class);

  public void init() throws ServletException {
    ServletContext context = getServletConfig().getServletContext();
    logger.info("Servlet loaded");
  }
  
  public void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
    
    String name = request.getParameter("name");
    
    response.setContentType("text/html");
    PrintWriter out = response.getWriter();
    
    logger.info("About to say hello to "+name);
 
    out.println("<HTML><BODY>");
    out.println("<H2> Hello there " + name + ". How are you today?</H2>");     
    out.println("</BODY></HTML>");
    out.close();    
  }
}
